from django.conf import settings

DEFAULT_ATTRIBUTES = {
    '1008': 'login',
    # '33': 'timezone',
    # '34': 'language',
}

DEFAULT_EXTRA_KWARGS = {
    'emails': 'getdefault',
    'regname': 'yes',
}

BLACKBOX_NAME = getattr(settings, 'BLACKBOX_NAME', 'Test')

BLACKBOX_URL = getattr(settings, 'BLACKBOX_URL', 'http://pass-test.yandex.ru/blackbox')

BLACKBOX_SESSIONID_COOKIE_NAME = getattr(settings, 'BLACKBOX_SESSIONID_COOKIE_NAME', 'Session_id')

BLACKBOX_SESSIONID2_COOKIE_NAME = getattr(settings, 'BLACKBOX_SESSIONID2_COOKIE_NAME', 'sessionid2')

BLACKBOX_SESSIONID2_REQUIRED = getattr(settings, 'BLACKBOX_SESSIONID2_REQUIRED', False)

BLACKBOX_GET_USER_TICKET = getattr(settings, 'BLACKBOX_GET_USER_TICKET', False)

BLACKBOX_CREATE_USER_ON_DEMAND = getattr(settings, 'BLACKBOX_CREATE_USER_ON_DEMAND', True)

BLACKBOX_ATTRIBUTES = getattr(settings, 'BLACKBOX_ATTRIBUTES', DEFAULT_ATTRIBUTES)

BLACKBOX_USER_YAUID_FIELD_NAME = 'yauid'

BLACKBOX_REAL_IP_HEADERS = (
    'HTTP_X_FORWARDED_FOR_Y',
    'HTTP_X_FORWARDED_FOR',
    'REMOTE_ADDR',
)

BLACKBOX_EXTRA_KWARGS = getattr(settings, 'BLACKBOX_EXTRA_KWARGS', DEFAULT_EXTRA_KWARGS)

# Passport
PASSPORT_URLS = getattr(settings, 'PASSPORT_URLS')

PASSPORT_TYPE = getattr(settings, 'PASSPORT_TYPE', 'desktop')
